import { DataState,FieldInfo } from 'model-util-base'
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-06-16 13:51
 */
export interface BusRecoverOrder{
    /**
    * 订单号
    * @type { string }
    */
    orderNo?: string;
    /**
    * 用户ID
    * @type { string }
    */
    userId?: string;
    /**
    * 车场ID
    * @type { string }
    */
    lotId?: string;
    /**
    * 车牌号
    * @type { string }
    */
    carPlateNum?: string;
    /**
    * 应收总金额  单位：分
    * @type { number }
    */
    amount?: number;
    /**
    * 账单明细
    * @type { string }
    */
    detail?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 00:已支付,01:未支付,02:支付失败
    * @type { string }
    */
    state?: string;
    /**
    * 支付时间
    * @type { Date }
    */
    payTime?: Date;
}
export class BusRecoverOrderMI{ 
    static get ORDER_NO(): FieldInfo{  
        return new FieldInfo('orderNo','订单号');
    }
    static get USER_ID(): FieldInfo{  
        return new FieldInfo('userId','用户ID');
    }
    static get LOT_ID(): FieldInfo{  
        return new FieldInfo('lotId','车场ID');
    }
    static get CAR_PLATE_NUM(): FieldInfo{  
        return new FieldInfo('carPlateNum','车牌号');
    }
    static get AMOUNT(): FieldInfo{  
        return new FieldInfo('amount','应收总金额  单位：分');
    }
    static get DETAIL(): FieldInfo{  
        return new FieldInfo('detail','账单明细');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get STATE(): FieldInfo{  
        return new FieldInfo('state','00:已支付,01:未支付,02:支付失败');
    }
    static get PAY_TIME(): FieldInfo{  
        return new FieldInfo('payTime','支付时间');
    }
}


